Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.ehbox.v3.session.impl
Class Eh2eBoxServiceV3Impl

    java.lang.Object
      be.ehealth.businessconnector.ehbox.v3.session.impl.Eh2eBoxServiceV3Impl

All Implemented Interfaces:
  Eh2eBoxServiceV3

    public class Eh2eBoxServiceV3Impl

extends Object
implements Eh2eBoxServiceV3

Implementation of `Eh2eBoxServiceV3`

Constructor Summary
`Eh2eBoxServiceV3Impl(SessionValidator sessionValidator, EhboxReplyValidator replyValidator)`

Method Summary
`SendMessageResponse` | `sendMessage(SendMessageRequest sendMessageRequest)` The �Send Message� operation allows a message to be sent to one or more recipients.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Eh2eBoxServiceV3Impl

    public Eh2eBoxServiceV3Impl(SessionValidator sessionValidator,
                                EhboxReplyValidator replyValidator)
                         throws TechnicalConnectorException,
                                EhboxBusinessConnectorException

Parameters:
  `sessionValidator` -
  `replyValidator` -
Throws:
  `TechnicalConnectorException`
  `EhboxBusinessConnectorException`

Method Detail

### sendMessage

    public final SendMessageResponse sendMessage(SendMessageRequest sendMessageRequest)
                                          throws ConnectorException

  Description copied from interface: `Eh2eBoxServiceV3`

  The �Send Message� operation allows a message to be sent to one or more recipients. The sender has to be option to:

  - Provide one or more recipients (parameter �destinationContexts� provided as part of the request)
  - Send the new message in reply of an existing message to all original recipients, including the sender (parameter �messageIdForReplyToAll� provided as part of the request)
  - Send the new message in reply of an existing message to the original sender (parameter 'messageIdForReply' provided as part of the request)
  Only one of the above parameters can be present.

  Specified by:
    `sendMessage` in interface `Eh2eBoxServiceV3`
  Returns:
    Response containing an id, the status and the publication ID.
  Throws:
    `ConnectorException`
  See Also:
    `EhealthBoxServiceV3.sendMessage(be.fgov.ehealth.ehbox.publication.protocol.v3.SendMessageRequest)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSAUDIOLOGIST 3.15.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.